> ## Documentation Index
> Fetch the complete documentation index at: https://developer.siit.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Categories

> Fetch Equipment categories

## Usage


## OpenAPI

````yaml get /v1/equipments/categories
openapi: 3.0.1
info:
  title: Siit Public API
  version: v0
servers:
  - url: https://api.siit.io
security: []
paths:
  /v1/equipments/categories:
    get:
      tags:
        - Equipment
      summary: List Categories
      description: Fetch Equipment categories
      parameters:
        - name: page
          in: query
          required: false
          description: The current page
          schema:
            type: integer
        - name: per_page
          in: query
          required: false
          description: Number of results retrieved per page.
          schema:
            type: integer
      responses:
        '200':
          description: Successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/equipment_categories_paged_object'
      security:
        - bearer: []
components:
  schemas:
    equipment_categories_paged_object:
      type: object
      properties:
        meta:
          $ref: '#/components/schemas/meta_object'
        results:
          type: array
          items:
            $ref: '#/components/schemas/equipment_category'
    meta_object:
      type: object
      properties:
        count:
          type: integer
        current_page:
          type: integer
        next_page_link:
          type: string
          nullable: true
        per_page:
          type: integer
          default: 20
          maximum: 200
        previous_page_link:
          type: string
          nullable: true
        total:
          type: integer
    equipment_category:
      type: object
      properties:
        uid:
          type: string
          readOnly: true
          description: The UID of the Equipment Category
        created_at:
          type: string
          format: date-time
          description: datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
          readOnly: true
        equipment_type:
          type: string
          enum:
            - computer
            - smartphone
            - tablet
            - other_device
            - custom
          nullable: false
        label:
          type: string
          enum:
            - device
            - asset
          nullable: false
        name:
          type: string
          description: The name of the Equipment Category
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````